# Purpose: show summary of package specification (.info file)
#
# param: package_key (like acs-admin or lars-blogger)

# get the .info properties from the nsv (it's in an array in a list in a list)
set path [apm_package_info_file_path $package_key]
array set info [lindex [lindex [nsv_array get apm_version_properties $path] 1] 1]

set maturity [apm::package_version::attributes::maturity_int_to_text \
                  $info(maturity)]

# what packages does $package_key depend on
multirow create deps name
foreach p $info(requires) {
    multirow append deps [lindex $p 0]
}

# get packages which depend on $package_key
multirow create dependees name
array set repository [nsv_array get apm_version_properties]
foreach package_path [array names repository] {
    # again, it's an array in a list in a list
    array set pkg [lindex [lindex [array get repository $package_path] 1] 1]
    set key $pkg(package.key)
    set requires_list $pkg(requires)
    foreach require $requires_list {
        if { [string eq $package_key [lindex $require 0]] } {
            multirow append dependees $key
            break
        }
    }
}
